Servoy JasperReports Plugin - Feature #377

Jasper Report Viewer and Bean Controls
09/27/2011 07:16 PM - Kim Premuda

Status: Closed

Priority: Normal
Assignee: Andrei Costache
Category:

Target version:

Browser (if web
client):

Start date: 09/27/2011
Due date:

% Done: 0%
Estimated time: 0.00 hour

Description

Since my request for control of the View Mode in the Jasper Report Viewer and Bean, | have come across other items | would like to

be able to control programmatically:

1. 1. View Mode (the original request)
2. 2. Pre-set the number of document copies to print
3. 3. Restrict the file save/export types to display

Basically, | would like to programmatically control the Viewer and Bean controls presented to the end-user.

History

#1 - 11/23/2011 12:12 PM - Andrei Costache
- Description updated

- Status changed from New to Closed

- Assignee set to Andrei Costache

- Client type set to Any

- In developer? set to No

- Servoy version set to 5.2.x and above

- OS version set to Windows Vista

- Java version setto 1.5, 1.6

1. Implemented (for the original feature request).

2. Currently there is no API for that and an alternative approach (providing a different PrinterdJob) might run intro classpath problems; we will file a

feature request with the people at JasperReports for this.
3. Implemented.

#2 - 11/24/2011 12:28 PM - Andrei Costache

Point 2 has been requested from JasperReports. Please see http:/jasperforge.org/projects/jasperreports/tracker/view.php?id=5544 for details.
